import { NgModule } from '@angular/core';
import { CommonModule } from '@angular/common';
import { FormsModule, ReactiveFormsModule } from '@angular/forms';
import { RouterModule } from '@angular/router';

import { NgbModule } from '@ng-bootstrap/ng-bootstrap';

import { DynaformComponent } from './dynaform.component';
import { DynafieldDirective } from './directives/dynafield.directive';
import { DynaformService } from './services/dynaform.service';
import { ModelMapperService } from './services/model-mapper.service';

import { DateInputsModule } from '@progress/kendo-angular-dateinputs';

import { TextComponent } from './components';
import { TextareaComponent } from './components';
import { PasswordComponent } from './components';
import { SelectComponent } from './components';
import { RadioComponent } from './components';
import { HiddenComponent } from './components';
import { CheckbuttonComponent } from './components';
import { DropdownModifiedInputComponent } from './components';
import { MultilineComponent } from './components';
import { CheckbuttonGroupComponent } from './components';
import { TimepickerComponent } from './components';
import { DatepickerComponent } from './components';
import { ButtonGroupComponent } from './components';
import { HeadingComponent } from './components';
import { DisplayComponent } from './components';



@NgModule({
	imports: [
		CommonModule,
		FormsModule,
		ReactiveFormsModule,
		RouterModule.forChild([]),
		NgbModule,
		DateInputsModule
	],
	declarations: [
		DynaformComponent,
		DynafieldDirective,
		TextComponent,
		TextareaComponent,
		PasswordComponent,
		SelectComponent,
		RadioComponent,
		HiddenComponent,
		CheckbuttonComponent,
		DropdownModifiedInputComponent,
		MultilineComponent,
		CheckbuttonGroupComponent,
		TimepickerComponent,
		DatepickerComponent,
		ButtonGroupComponent,
		HeadingComponent,
		DisplayComponent
	],
	entryComponents: [
		TextComponent,
		TextareaComponent,
		PasswordComponent,
		SelectComponent,
		RadioComponent,
		HiddenComponent,
		CheckbuttonComponent,
		DropdownModifiedInputComponent,
		MultilineComponent,
		CheckbuttonGroupComponent,
		TimepickerComponent,
		DatepickerComponent,
		ButtonGroupComponent,
		HeadingComponent,
		DisplayComponent
	],
	providers: [
		DynaformService,
		ModelMapperService
	],
	exports: [
		FormsModule,
		ReactiveFormsModule,
		DynaformComponent,
		DynafieldDirective
	]
})
export class DynaformModule { }

